Bug 2008 - dracut was patched to fix "cannot open file *_toggle" at boot
: dracut was patched to fix "cannot open file *_toggle" at boot
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 13:47 MSD by Alexander Burmashev
Modified: 2013-05-27 14:43 MSD (History)
2 users (show)

See Also:
RPM Package: dracut
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
Postnikov-all(dracut-27-4+krn3.8.12+kde4.10.3+ssystemd194-17).odt (210.52 KB, application/vnd.oasis.opendocument.text)
2013-05-21 01:11 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2013-05-15 13:47:44 MSD
dracut was patched to fix "cannot open file *_toggle" at boot
Comment 1 Alexander Burmashev 2013-05-15 14:01:51 MSD
Advisory:
Dracut was updated to 27 version. It includes better handling the 3.8 kernels, as well as some upstream fixes.
+
Dracut was patched to pack proper keymap into initrd

Buildlists:
https://abf.rosalinux.ru/build_lists/1089267
https://abf.rosalinux.ru/build_lists/1089266

Additional info:
This update is required for migration to 3.8 kernels, so it should be tested with 3.8 kernels.
What should surely be tested
1) Update from old kernel and dracut to new kernel and dracut
2) dracut -f working ok
3) if you had "cannot open file *_toggle" at boot, where * may be capslock, or alt_shift this error should be gone.
Comment 2 Vladimir Potapov 2013-05-19 12:49:21 MSD
The package route to extended testing
Comment 3 Postnikov Dmitry 2013-05-19 18:35:50 MSD
(In reply to comment #2)
> The package route to extended testing

Took the job. Will test on KDE 4.10.3+systemd-194-17
Comment 4 Alexander Burmashev 2013-05-19 18:38:12 MSD
Don't forget about "This update is required for migration to 3.8 kernels, so it should be tested with 3.8 kernels."
Comment 5 Postnikov Dmitry 2013-05-21 01:11:50 MSD
Created attachment 1388 [details]
Postnikov-all(dracut-27-4+krn3.8.12+kde4.10.3+ssystemd194-17).odt

****************************
Extended testing report
****************************
Comment 6 Alexander Burmashev 2013-05-21 01:13:53 MSD
Thx for the report, look ok. That warning about omitted modules is also ok.
What i am much interested in is how dracut behaves while updating from old to this version.

1) From the version of main/release to this one
2) From the version of main/updates to this one
Comment 7 Vladimir Potapov 2013-05-27 14:15:29 MSD
> 2) From the version of main/updates to this one
Tested - OK!
Comment 8 Vladimir Potapov 2013-05-27 14:26:55 MSD
dracut-027-4-rosa2012.1
****************** Advisory ********************
Dracut was updated to 27 version. It includes better handling the 3.8 kernels, as well as some upstream fixes.
+
Dracut was patched to pack proper keymap into initrd
*************************************************
QA Verfied